# Copyright 2014-2019 MathWorks, Inc.

from distutils.core import setup
import importlib

if __name__ == '__main__':
    installModules = []
    try:
        six = importlib.import_module('six')
        sixVersion = '1.12.0'
        if hasattr(six, '__version__') and sixVersion > six.__version__:
            installModules.append('six')
    except ImportError:
        installModules.append('six')

    setup(
        name="MPS Python Client",
        version="R2021b",
        description='A module to invoke MATLAB function deployed on MPS from Python',
        author='MathWorks',
        url='http://www.mathworks.com/',
        platforms=['Linux', 'Windows', 'MacOS'],
        package_dir={'': 'dist'},
        packages=['matlab','matlab._internal', 'matlab.production_server', 'matlab.production_server._internal_mps', 
            'matlab.production_server._proto_generated', 'google', 'google.protobuf', 'google.protobuf.internal'],
        py_modules=installModules,
    )
